%define api		1.0
%define major		1
%define libname		%mklibname girepository %{api} %{major}
%define develname	%mklibname -d girepository

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GObject Introspection
Name:		gobject-introspection
Version:	1.38.0
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+ and LGPLv2+
Group:		Development/C
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.7
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	python-devel
BuildRequires:	python-mako
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	gnome-common
BuildRequires:	libtool
BuildRequires:	gtk-doc
Conflicts:	%{mklibname girepository 1.0 0} < 0.6.10-5mdv
Conflicts:	gir-repository < 0.6.5-12.20100622.3mdv

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 0.6.8-2mdv
Requires:	%{name} >= %{version}

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.


#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif

#---------------------------------------------------------------
%define girglibname %mklibname glib-gir 2.0

%package -n %{girglibname}
Summary: GObject Introspection interface description for glib
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libglib-2.0.so.0%{mark64}
Requires: libgmodule-2.0.so.0%{mark64}
Requires: libgio-2.0.so.0%{mark64}
Requires: libgobject-2.0.so.0%{mark64}

%description -n %{girglibname}
GObject Introspection interface description for glib.

%files -n %{girglibname}
%{_libdir}/girepository-1.0/GLib-2.0.typelib
%{_libdir}/girepository-1.0/GModule-2.0.typelib
%{_libdir}/girepository-1.0/GObject-2.0.typelib
%{_libdir}/girepository-1.0/Gio-2.0.typelib

#---------------------------------------------------------------
%define girdbusname %mklibname dbus-gir 1.0

%package -n %{girdbusname}
Summary: GObject Introspection interface description for dbus
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libdbus-1.so.3%{mark64}

%description -n %{girdbusname}
GObject Introspection interface description for dbus.

%files -n %{girdbusname}
%{_libdir}/girepository-1.0/DBus-1.0.typelib

#---------------------------------------------------------------
%define girdbusglibname %mklibname dbusglib-gir 1.0

%package -n %{girdbusglibname}
Summary: GObject Introspection interface description for dbusglib
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libdbus-glib-1.so.2%{mark64}

%description -n %{girdbusglibname}
GObject Introspection interface description for dbusglib.

%files -n %{girdbusglibname}
%{_libdir}/girepository-1.0/DBusGLib-1.0.typelib

#---------------------------------------------------------------
%define girgirepositoryname %mklibname girepository-gir 2.0

%package -n %{girgirepositoryname}
Summary: GObject Introspection interface description for girepository
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: %{libname} = %{version}-%{release}

%description -n %{girgirepositoryname}
GObject Introspection interface description for girepository.

%files -n %{girgirepositoryname}
%{_libdir}/girepository-1.0/GIRepository-2.0.typelib

#---------------------------------------------------------------
%define girglname %mklibname gl-gir 1.0

%package -n %{girglname}
Summary: GObject Introspection interface description for OpenGL
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libGL.so.1%{mark64}

%description -n %{girglname}
GObject Introspection interface description for OpenGL.

%files -n %{girglname}
%{_libdir}/girepository-1.0/GL-1.0.typelib

#---------------------------------------------------------------
%define gircaironame %mklibname cairo-gir 1.0

%package -n %{gircaironame}
Summary: GObject Introspection interface description for cairo
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libcairo.so.2%{mark64}

%description -n %{gircaironame}
GObject Introspection interface description for cairo.

%files -n %{gircaironame}
%{_libdir}/girepository-1.0/cairo-1.0.typelib

#---------------------------------------------------------------
%define girfontconfigname %mklibname fontconfig-gir 2.0

%package -n %{girfontconfigname}
Summary: GObject Introspection interface description for fontconfig
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libfontconfig.so.1%{mark64}

%description -n %{girfontconfigname}
GObject Introspection interface description for fontconfig.

%files -n %{girfontconfigname}
%{_libdir}/girepository-1.0/fontconfig-2.0.typelib

#---------------------------------------------------------------
%define girfreetypename %mklibname freetype-gir 2.0

%package -n %{girfreetypename}
Summary: GObject Introspection interface description for freetype
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libfreetype.so.6%{mark64}

%description -n %{girfreetypename}
GObject Introspection interface description for freetype.

%files -n %{girfreetypename}
%{_libdir}/girepository-1.0/freetype2-2.0.typelib

#---------------------------------------------------------------
%define girlibxml2name %mklibname xml2-gir 2.0

%package -n %{girlibxml2name}
Summary: GObject Introspection interface description for libxml2
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libxml2.so.2%{mark64}
Obsoletes: %{_lib}libxml2-gir2.0 < 1.36.0-2

%description -n %{girlibxml2name}
GObject Introspection interface description for libxml2.

%files -n %{girlibxml2name}
%{_libdir}/girepository-1.0/libxml2-2.0.typelib

#---------------------------------------------------------------
%define girxfixesname %mklibname xfixes-gir 4.0

%package -n %{girxfixesname}
Summary: GObject Introspection interface description for xfixes
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libXfixes.so.3%{mark64}

%description -n %{girxfixesname}
GObject Introspection interface description for xfixes.

%files -n %{girxfixesname}
%{_libdir}/girepository-1.0/xfixes-4.0.typelib

#---------------------------------------------------------------
%define girxftname %mklibname xft-gir 2.0

%package -n %{girxftname}
Summary: GObject Introspection interface description for xft
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libXft.so.2%{mark64}

%description -n %{girxftname}
GObject Introspection interface description for xft.

%files -n %{girxftname}
%{_libdir}/girepository-1.0/xft-2.0.typelib

#---------------------------------------------------------------
%define girxlibname %mklibname xlib-gir 2.0

%package -n %{girxlibname}
Summary: GObject Introspection interface description for xlib
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libX11.so.6%{mark64}

%description -n %{girxlibname}
GObject Introspection interface description for xlib.

%files -n %{girxlibname}
%{_libdir}/girepository-1.0/xlib-2.0.typelib

#---------------------------------------------------------------
%define girxrandrname %mklibname xrandr-gir 1.3

%package -n %{girxrandrname}
Summary: GObject Introspection interface description for xrandr
Group: System/Libraries
Conflicts: %{name} < 1.29.16-3
Requires: libXrandr.so.2%{mark64}

%description -n %{girxrandrname}
GObject Introspection interface description for xrandr.

%files -n %{girxrandrname}
%{_libdir}/girepository-1.0/xrandr-1.3.typelib

#---------------------------------------------------------------
%define girwin32name %mklibname win32-gir 1.0

%package -n %{girwin32name}
Summary: GObject Introspection interface description for win32
Group: System/Libraries

%description -n %{girwin32name}
GObject Introspection interface description for win32.

%files -n %{girwin32name}
%{_libdir}/girepository-1.0/win32-1.0.typelib

#---------------------------------------------------------------
%package -n %{develname}
Group:          Development/C
Summary:        GObject Introspection development libraries
Requires:       %{libname} = %{version}-%{release}
Requires:	 %{girglibname} = %{version}-%{release}
Requires:	 %{girdbusname} = %{version}-%{release}
Requires:	 %{girdbusglibname} = %{version}-%{release}
Requires:	 %{girgirepositoryname} = %{version}-%{release}
Requires:	 %{girglname} = %{version}-%{release}
Requires:	 %{gircaironame} = %{version}-%{release}
Requires:	 %{girfontconfigname} = %{version}-%{release}
Requires:	 %{girfreetypename} = %{version}-%{release}
Requires:	 %{girlibxml2name} = %{version}-%{release}
Requires:	 %{girxfixesname} = %{version}-%{release}
Requires:	 %{girxftname} = %{version}-%{release}
Requires:	 %{girxlibname} = %{version}-%{release}
Requires:	 %{girxrandrname} = %{version}-%{release}
Requires:	 %{girwin32name} = %{version}-%{release}
Provides:       libgirepository-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
#gw /usr/bin/libtool is called in giscanner
Requires:       libtool

%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static --enable-doctool --enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%dir %{_libdir}/girepository-%{api}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgirepository-%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/gobject-introspection-%{api}.pc
%{_libdir}/pkgconfig/gobject-introspection-no-export-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}-%{api}
%{_bindir}/g-ir-*
%{_libdir}/%{name}
%{_datadir}/gtk-doc/html/gi
%dir %{_datadir}/gir-%{api}
%{_datadir}/gir-%{api}/DBus-1.0.gir
%{_datadir}/gir-%{api}/DBusGLib-1.0.gir
%{_datadir}/gir-%{api}/GIRepository-2.0.gir
%{_datadir}/gir-%{api}/GL-1.0.gir
%{_datadir}/gir-%{api}/GLib-2.0.gir
%{_datadir}/gir-%{api}/GModule-2.0.gir
%{_datadir}/gir-%{api}/GObject-2.0.gir
%{_datadir}/gir-%{api}/Gio-2.0.gir
%{_datadir}/gir-%{api}/cairo-1.0.gir
%{_datadir}/gir-%{api}/fontconfig-2.0.gir
%{_datadir}/gir-%{api}/freetype2-2.0.gir
%{_datadir}/gir-%{api}/libxml2-2.0.gir
%{_datadir}/gir-%{api}/xfixes-4.0.gir
%{_datadir}/gir-%{api}/xft-2.0.gir
%{_datadir}/gir-%{api}/xlib-2.0.gir
%{_datadir}/gir-%{api}/xrandr-1.3.gir
%{_datadir}/gir-%{api}/win32-1.0.gir
%{_mandir}/man1/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.38.0-2.mga4
+ Revision: 536687
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 1.38.0-1.mga4
+ Revision: 485338
- new version 1.38.0

* Wed Aug 21 2013 fwang <fwang> 1.37.6-1.mga4
+ Revision: 468657
- update file list

  + ovitters <ovitters>
    - new version 1.37.6

* Sun Jul 28 2013 dams <dams> 1.37.4-1.mga4
+ Revision: 459321
- new version 1.37.4

* Sun Jun 16 2013 wally <wally> 1.36.0-2.mga4
+ Revision: 443701
- fix libxml2 gir typelib pkg name

* Sat May 25 2013 ovitters <ovitters> 1.36.0-1.mga4
+ Revision: 427295
- br gtk-doc
- drop merged patch
  explicitly enable gtk-doc

  + tv <tv>
    - new release
    - new release

* Tue Jan 15 2013 cjw <cjw> 1.34.2-2.mga3
+ Revision: 388393
- patch1: fix tests with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 1.34.2-1.mga3
+ Revision: 317391
- new version 1.34.2

* Wed Oct 17 2012 ovitters <ovitters> 1.34.1.1-1.mga3
+ Revision: 307719
- new version 1.34.1.1

* Wed Oct 17 2012 ovitters <ovitters> 1.34.1-1.mga3
+ Revision: 307697
- new version 1.34.1

* Mon Oct 01 2012 tv <tv> 1.34.0-2.mga3
+ Revision: 301527
- BR python-mako
- rebuild for new libffi
- build g-ir-doc-tool

* Mon Sep 24 2012 ovitters <ovitters> 1.34.0-1.mga3
+ Revision: 297193
- new version 1.34.0

* Tue Sep 18 2012 ovitters <ovitters> 1.33.14-1.mga3
+ Revision: 295996
- new version 1.33.14

* Tue Sep 04 2012 ovitters <ovitters> 1.33.10-1.mga3
+ Revision: 288098
- new version 1.33.10

* Mon Aug 20 2012 ovitters <ovitters> 1.33.9-1.mga3
+ Revision: 282579
- new version 1.33.9

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.33.4-2.mga3
+ Revision: 278982
- rebuild for libffi

* Thu Jul 19 2012 ovitters <ovitters> 1.33.4-1.mga3
+ Revision: 272649
- drop link patch (does not apply, builds without)
- new version 1.33.4

* Tue Jun 26 2012 ovitters <ovitters> 1.33.3-1.mga3
+ Revision: 264110
- new version 1.33.3

* Tue Apr 17 2012 ovitters <ovitters> 1.32.1-1.mga2
+ Revision: 231238
- new version 1.32.1

* Tue Mar 27 2012 ovitters <ovitters> 1.32.0-1.mga2
+ Revision: 227144
- new version 1.32.0

* Wed Mar 21 2012 ovitters <ovitters> 1.31.22-1.mga2
+ Revision: 225201
- new version 1.31.22

* Mon Mar 05 2012 wally <wally> 1.31.20-1.mga2
+ Revision: 219119
- new version 1.31.20

* Fri Jan 20 2012 fwang <fwang> 1.31.10-1.mga2
+ Revision: 198644
- new version 1.31.10

* Tue Dec 20 2011 wally <wally> 1.31.6-1.mga2
+ Revision: 184942
- new version 1.31.6

* Tue Dec 06 2011 fwang <fwang> 1.31.1-1.mga2
+ Revision: 177209
- new version 1.31.1

* Thu Oct 27 2011 wally <wally> 1.31.0-1.mga2
+ Revision: 158660
- new version 1.31.0

* Wed Sep 21 2011 fwang <fwang> 1.30.0-1.mga2
+ Revision: 146221
- rediff linkage fix
- new version 1.30.0

* Thu Sep 15 2011 fwang <fwang> 1.29.17-2.mga2
+ Revision: 143805
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 1.29.17-1.mga2
+ Revision: 136346
- rediff link patch
- new version 1.29.17
- split out typelibs, and add corresponding lib requires
- convert to pkgconfig style br

  + wally <wally>
    - drop hack adapted from Ubuntu as now we have python-gobject3
    - new version 1.29.16
    - don't regenerate gtk-docs at build time

* Fri Jul 15 2011 dmorgan <dmorgan> 1.29.0-5.mga2
+ Revision: 124445
- Rebuild now that the BS is fixed

  + ahmad <ahmad>
    - revert the previous commit, fixed in rpm-setup
    - Add a _requires_exceptions for typelib(GOBJ), this isn't an actual typelib
      provides/requires AFAICS (it's a symbol in the shared library)

* Fri Jul 15 2011 wally <wally> 1.29.0-3.mga2
+ Revision: 124387
- follow Ubuntu and roll back to gir/glib-2.0 as of before upstream commit 6d30588c1
  (Later commits have a GVariant which current pygobject does not
  deal with. This is fixed in the invoke-rewrite branch of
  pygobject, so until this lands we need the older annotations)

* Wed Jul 06 2011 cjw <cjw> 1.29.0-2.mga2
+ Revision: 119553
- rebuild for automatic typelib provides

* Wed Jul 06 2011 wally <wally> 1.29.0-1.mga2
+ Revision: 119226
- new version 1.29.0
- use .tar.xz source
- clean .spec a bit

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.8-3.mga2
+ Revision: 106271
- Fix typo
- We still need .la files for now, so readd them

* Thu Jun 09 2011 dmorgan <dmorgan> 0.10.8-1.mga2
+ Revision: 102516
- New version 0.10.8

* Thu May 05 2011 ahmad <ahmad> 0.10.7-2.mga1
+ Revision: 95168
- Don't ship .la

* Fri Apr 15 2011 ahmad <ahmad> 0.10.7-1.mga1
+ Revision: 85847
- update to 0.10.7

* Sun Mar 27 2011 ahmad <ahmad> 0.10.6-1.mga1
+ Revision: 78094
- update to 0.10.6
- sync with Mandriva:
  o drop libgnomekeyring-and-libgda patch
  o add more linking fixes
  o re-enable checks
- drop the manual requires on ffi5-devel now that rpm-setup has been fixed and
  ffi5-devel is auto-required via pkgconfig requires

* Thu Mar 24 2011 boklm <boklm> 0.10.4-4.mga1
+ Revision: 76150
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.10.4-3.mga1
+ Revision: 72665
- modify the linking patch
- add requires on ffi5-devel in the devel package so that the cflags are exported
  correctly (should fix gjs building)

* Tue Mar 15 2011 ahmad <ahmad> 0.10.4-2.mga1
+ Revision: 72156
- update to 0.10.4
- rediff patches (add one more linking fix)

  + rtp <rtp>
    - allow to build without gtk-doc

* Wed Jan 12 2011 dmorgan <dmorgan> 0.9.12-2.mga1
+ Revision: 7041
- imported package gobject-introspection


* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0.9.12-2mdv2011.0
+ Revision: 622231
- rebuild

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 583918
- update to new version 0.9.12

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 582272
- new version

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 581974
- new version
- use tarball generated from git checkout (b.g.o 629871)

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2011.0
+ Revision: 581888
- new version 0.9.7

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-0.20100920.1mdv2011.0
+ Revision: 579937
- disable checks again
- new snapshot
- rediff patch 0
- drop patch 1
- reenable checks

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdv2011.0
+ Revision: 579739
- update patch 2 for libgda

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-4mdv2011.0
+ Revision: 579618
- add workaround for building libgnome-keyring wrapper

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-3mdv2011.0
+ Revision: 578300
- patch to readd --strip-prefix option

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 577675
- add conflict with old gir-repository

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 577166
- new version
- update patch
- disable checks
- update file list

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 565645
- new verison 0.9.3
- fix linkage (gnome#625995)

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 563095
- new version
- new major
- drop patches
- bump glib dep
- update file list

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-5mdv2011.0
+ Revision: 551275
- rearrange packaging to ease upgrades

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.6.10-4mdv2010.1
+ Revision: 540042
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-3mdv2010.1
+ Revision: 536518
- fix build without having gobject-introspection installed

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-2mdv2010.1
+ Revision: 536495
- fix build dep
- new version
- add gimarshallingtests library

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-2mdv2010.1
+ Revision: 525202
- update to new version 0.6.9

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-2mdv2010.1
+ Revision: 524911
- move typelib files to library package

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 517409
- update to new version 0.6.8

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479676
- new version
- update file list
- drop patch 0

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdv2010.1
+ Revision: 476448
- fix crash on x86_64 (b.g.o #604074)
- update to new version 0.6.6

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 432060
- new version

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 420769
- new version
- update deps
- reenable checks

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-0.20090817.1mdv2010.0
+ Revision: 417191
- new snapshot to make the scanner handle uninstalled libs better
- fix file list

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 414454
- add dep on libtool

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 388083
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090616.1mdv2010.0
+ Revision: 386312
- update build deps
- update file list
- new snapshot

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090518.1mdv2010.0
+ Revision: 376840
- update build deps
- git snapshot
- drop patch 0
- rediff patch 1
- update file list
- disable --no-undefined

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 332431
- update build deps
- new version
- add API version
- update file list

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.6.1-3mdv2009.1
+ Revision: 328252
- BR libtool
- let python module link against libpython
- fix str fmt

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 306919
- fix build
- new version
- update file list
- fix source URL

* Sat Nov 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 299138
- new version
- update file list
- new library package for libgirepository-everything

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
+ Revision: 293565
- import gobject-introspection


* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
- initial package
